<br>
<div class="center">
    <form (submit)="submit()" class="buscador">
        <input class="form-control buscar" [(ngModel)]="searchedPokemon" type="search" placeholder="Busca tu pelicula"
            name="search" aria-label="Search">
        <button class="btn btn-outline-success icon " type="submit">
            <mat-icon aria-hidden="false" aria-label="Example home icon">search</mat-icon>
        </button>
    </form>
    <br>
    <br>
</div>
<div class="row">
    <div class="col-xs-12 col-md-6 ">
        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="pokemonList" matSort>

                <!-- ID Column -->
                <ng-container matColumnDef="numero">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> # </th>
                    <td mat-cell *matCellDef="let row; let i = index;"> {{pagesize*page + i+1}} </td>
                </ng-container>

                <!-- Pokemon -->
                <ng-container matColumnDef="pokemon">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre </th>
                    <td mat-cell *matCellDef="let row"> {{row.name |uppercase}} </td>
                </ng-container>

                <!-- Boton -->
                <ng-container matColumnDef="boton">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Detalles </th>
                    <td mat-cell *matCellDef="let row"> <button mat-icon-button
                            aria-label="Details">
                            <mat-icon>description</mat-icon>
                        </button> </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

            </table>
            <mat-paginator (page)="pageEvent()" [length]="pokemonQuantity" [pageSizeOptions]="[5, 10, 20]"
                aria-label="Select page of pokemon"></mat-paginator>
        </div>
    </div>

</div>